% Navion NL Longitudinal Simulation

% states are surge velocity, alpha, pitch rate, theta, altitude 

function [y,u,t]=navNLsim(y0,t0,tf)

t(1)=t0;
y(1,:)=y0;
u(1,:)=udoublet(t0);
delt=0.01;
k=1;tt=t0;
while tt < tf,
	k=k+1;
	x0=y(k-1,:);
	t0=t(k-1);
	[x,tt]=rk4('rates3dof',x0,t0,'udoublet',delt);
	y(k,:)=x;
	u(k,:)=udoublet(tt);
	t(k)=tt;
end
